local cursorX, cursorY = 0, 0
local updateX, updateY = 0, 0

function love.draw()
    local drawX, drawY = love.mouse.getPosition()
    local offset = 5
    local size = 10

    love.graphics.setColor(1.0, 0.0, 0.0, 0.3)
    love.graphics.rectangle("fill", cursorX - offset, cursorY - offset, size, size)
    love.graphics.setColor(0.0, 1.0, 0.0, 0.3)
    love.graphics.rectangle("fill", updateX - offset, updateY - offset, size, size)
    love.graphics.setColor(0.0, 0.0, 1.0, 0.3)
    love.graphics.rectangle("fill", drawX - offset, drawY - offset, size, size)
end

function love.update(dt)
    updateX, updateY = love.mouse.getPosition()
end

function love.mousemoved(x, y)
    cursorX, cursorY = x, y
end
